Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class ExtremeValueGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.ExtremeValueGen

    public class ExtremeValueGen

extends RandomVariateGen

This class implements random variate generators for the Gumbel (or extreme value) distribution. Its density is

f (x) = λe-e-λ(x-α)-λ(x-α) for x > 0,

where λ > 0.

The (non-static) `nextDouble` method simply calls `inverseF` on the distribution.

Constructor Summary
`ExtremeValueGen(RandomStream s)` Creates an extreme value random variate generator with parameters α = 0 and λ = 1, using stream `s`.
`ExtremeValueGen(RandomStream s, double alpha, double lambda)` Creates an extreme value random variate generator with parameters α = `alpha` and λ = `lambda`, using stream `s`.
`ExtremeValueGen(RandomStream s, ExtremeValueDist dist)` Creates a new generator object for distribution `dist` and stream `s`.

Method Summary
`double` | `getAlpha()` Returns the parameter α of this object.
`double` | `getLambda()` Returns the parameter λ of this object.
`static double` | `nextDouble(RandomStream s, double alpha, double lambda)` Uses inversion to generate a new variate from the extreme value distribution with parameters α = `alpha` and λ = `lambda`, using stream `s`.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getDistribution, getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtremeValueGen

    public ExtremeValueGen(RandomStream s,
                           double alpha,
                           double lambda)

  Creates an extreme value random variate generator with parameters α = `alpha` and λ = `lambda`, using stream `s`.

### ExtremeValueGen

    public ExtremeValueGen(RandomStream s)

  Creates an extreme value random variate generator with parameters α = 0 and λ = 1, using stream `s`.

### ExtremeValueGen

    public ExtremeValueGen(RandomStream s,
                           ExtremeValueDist dist)

  Creates a new generator object for distribution `dist` and stream `s`.

Method Detail

### nextDouble

    public static double nextDouble(RandomStream s,
                                    double alpha,
                                    double lambda)

  Uses inversion to generate a new variate from the extreme value distribution with parameters α = `alpha` and λ = `lambda`, using stream `s`.

### getAlpha

    public double getAlpha()

  Returns the parameter α of this object.

### getLambda

    public double getLambda()

  Returns the parameter λ of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.